﻿using Models.Game;
namespace Models.Events;

public class GameStartedEventArgs : EventArgs
{
    public Player CurrentPlayer { get; }

    public GameStartedEventArgs(Player selectedPlayer)
    {
        CurrentPlayer = selectedPlayer;
    }
}

public class GameEndedEventArgs : EventArgs
{
    public Player CurrentPlayer { get; }

    public GameEndedEventArgs(Player winner)
    {
        CurrentPlayer = winner;
    }
}